New API users should migrate to deposit wallets. Read the migration guide.
curl --request POST \
--url https://clob.polymarket.com/order \
--header 'Content-Type: application/json' \
--header 'POLY_ADDRESS: <api-key>' \
--header 'POLY_API_KEY: <api-key>' \
--header 'POLY_PASSPHRASE: <api-key>' \
--header 'POLY_SIGNATURE: <api-key>' \
--header 'POLY_TIMESTAMP: <api-key>' \
--data '
{
"order": {
"maker": "0x1234567890123456789012345678901234567890",
"signer": "0x1234567890123456789012345678901234567890",
"tokenId": "0xabc123def456...",
"makerAmount": "100000000",
"takerAmount": "200000000",
"side": "BUY",
"expiration": "1735689600",
"timestamp": "1735689600000",
"metadata": "",
"builder": "0x0000000000000000000000000000000000000000000000000000000000000000",
"signature": "0x1234abcd...",
"salt": 1234567890,
"signatureType": 0
},
"owner": "f4f247b7-4ac7-ff29-a152-04fda0a8755a",
"orderType": "GTC",
"deferExec": false
}
'{
"success": true,
"orderID": "0xabcdef1234567890abcdef1234567890abcdef12",
"status": "live",
"makingAmount": "100000000",
"takingAmount": "200000000",
"errorMsg": ""
}Creates a new order in the order book
curl --request POST \
--url https://clob.polymarket.com/order \
--header 'Content-Type: application/json' \
--header 'POLY_ADDRESS: <api-key>' \
--header 'POLY_API_KEY: <api-key>' \
--header 'POLY_PASSPHRASE: <api-key>' \
--header 'POLY_SIGNATURE: <api-key>' \
--header 'POLY_TIMESTAMP: <api-key>' \
--data '
{
"order": {
"maker": "0x1234567890123456789012345678901234567890",
"signer": "0x1234567890123456789012345678901234567890",
"tokenId": "0xabc123def456...",
"makerAmount": "100000000",
"takerAmount": "200000000",
"side": "BUY",
"expiration": "1735689600",
"timestamp": "1735689600000",
"metadata": "",
"builder": "0x0000000000000000000000000000000000000000000000000000000000000000",
"signature": "0x1234abcd...",
"salt": 1234567890,
"signatureType": 0
},
"owner": "f4f247b7-4ac7-ff29-a152-04fda0a8755a",
"orderType": "GTC",
"deferExec": false
}
'{
"success": true,
"orderID": "0xabcdef1234567890abcdef1234567890abcdef12",
"status": "live",
"makingAmount": "100000000",
"takingAmount": "200000000",
"errorMsg": ""
}Documentation Index
Fetch the complete documentation index at: https://docs.polymarket.com/llms.txt
Use this file to discover all available pages before exploring further.
Your API key
Ethereum address associated with the API key
HMAC signature of the request
API key passphrase
Unix timestamp of the request
Order payload submitted to the CLOB API. In CLOB V2, expiration remains in
the POST /order wire body for GTD/order-expiry handling, but it is not part
of the EIP-712 signed order struct.
Show child attributes
UUID of the API key owner
"f4f247b7-4ac7-ff29-a152-04fda0a8755a"
Time in force
GTC, FOK, GTD, FAK Whether to defer execution
Order successfully processed
Whether the order was successfully processed
true
Unique identifier for the order (order hash)
"0xabcdef1234567890abcdef1234567890abcdef12"
Status of the order after processing
live, matched, delayed Amount the maker is providing in fixed-math with 6 decimals
"100000000"
Amount the taker is providing in fixed-math with 6 decimals
"200000000"
Array of transaction hashes (present when status is 'matched')
[
"0x1234567890abcdef1234567890abcdef12345678"
]Array of trade IDs (present when status is 'matched')
Error message (empty on success)
""
Was this page helpful?